#ifndef MERMSEMR_API_MERMSEMR_H
#define MERMSEMR_API_MERMSEMR_H

#include "vars.h"

// A very simple mermsemr class
class MermsEmr {
public:
    MermsEmr();
    ~MermsEmr();
    long mermsemr_api(CVars in, CVars &out);
    const char* cfgReadChar(const char *parameter);
    long cfgReadLong(const char *parameter);
    void logMessage(const char *message);
private:
    FILE* pFile;
    int db;
};

#endif /* MERMSEMR_API_MERMSEMR_H */
